Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename optjs
%global enable_tests 1

Name:		nodejs-optjs
Version:	3.2.2
Release:	alt1_6
Summary:	Probably the sole command line option parser you'll ever need

License:	MIT
URL:		https://github.com/dcodeIO/opt.js
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# License requested at https://github.com/dcodeIO/opt.js/issues/1
Source1:	LICENSE-MIT.txt


BuildArch:	noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	rpm-build-nodejs node-devel
%if 0%{?enable_tests}
# nothing
%endif
Source44: import.info

%description
Probably the sole command line option parser you'll ever need to...


%prep
%setup -q -n package
# setup the license file
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json opt.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference LICENSE-MIT.txt
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 3.2.2-alt1_6
- new version

